I tried installing yawps 0.7.1 following the instructions in the INSTALL file. test.cgi works fine, however if I try to go to any other .cgi in the directory (index.cgi, login.cgi . . .) I have some issues.

Here is the output I get (index.cgi)

Expires: Thu, 06 Oct 2005 22:07:53 GMT Date: Thu, 06 Oct 2005 22:07:53 GMT Content-Type: text/html; charset=iso-8859-1

That repeats forever and ever, with the timestamp changing as time goes by.

The permissions are as said in the INSTALL file.

The path to perl is correct matches my actual path.

The path entries in yawpsrc.pl are as follows

cgi_bin_dir => '/srv/www/cgi-bin/yawps',
non_cgi_dir => '/srv/www/htdocs/yawps',
cgi_bin_url => 'http://192.168.0.40/cgi-bin/yawps',
non_cgi_url => 'http://192.168.0.40/yawps',

My Document Root is

DocumentRoot "/srv/www/htdocs"

No errors show up in the apache error logs.

This is on Suse 9.1 with Apache2, perl version 5.008003 and CGI version 3.01

Thank you kindly,
Andy